std::independent_bits_engine< _RandomNumberEngine, __w, _UIntType >(3)

NAME
std::independent_bits_engine< _RandomNumberEngine, __w, _UIntType >

SYNOPSIS

  Public Types
typedef _UIntType result_type

  Public Member Functions
independent_bits_engine ()
Constructs a default independent_bits_engine engine.
independent_bits_engine (_RandomNumberEngine &&__rng)
Move constructs a independent_bits_engine engine.
template<typename _Sseq , typename = _If_seed_seq<_Sseq>> independent_bits_engine (_Sseq &__q)
Generator construct a independent_bits_engine engine.
independent_bits_engine (const _RandomNumberEngine &__rng)
Copy constructs a independent_bits_engine engine.
independent_bits_engine (result_type __s)
Seed constructs a independent_bits_engine engine.
const _RandomNumberEngine & base () const noexcept
Gets a const reference to the underlying generator engine object.
void discard (unsigned long long __z)
Discard a sequence of random numbers.
result_type operator() ()
Gets the next value in the generated random number sequence.
void seed ()
Reseeds the independent_bits_engine object with the default seed for the underlying base class generator engine.
template<typename _Sseq > _If_seed_seq< _Sseq > seed (_Sseq &__q)
Reseeds the independent_bits_engine object with the given seed sequence.
void seed (result_type __s)
Reseeds the independent_bits_engine object with the default seed for the underlying base class generator engine.

  Static Public Member Functions
static constexpr result_type max ()
Gets the maximum value in the generated random number range.
static constexpr result_type min ()
Gets the minimum value in the generated random number range.

  Friends
bool operator== (const independent_bits_engine &__lhs, const independent_bits_engine &__rhs)
Compares two independent_bits_engine random number generator objects of the same type for equality.
template<typename _CharT , typename _Traits > std::basic_istream< _CharT, _Traits > & operator>> (std::basic_istream< _CharT, _Traits > &__is, std::independent_bits_engine< _RandomNumberEngine, __w, _UIntType > &__x)
Extracts the current state of a % subtract_with_carry_engine random number generator engine __x from the input stream __is.

Detailed Description

  template<typename _RandomNumberEngine, size_t __w, typename _UIntType>
class std::independent_bits_engine< _RandomNumberEngine, __w, _UIntType >" Produces random numbers by combining random numbers from some base engine to produce random numbers with a specifies number of bits __w.

Definition at line 1096 of file random.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.